Bug 156759 - [patch] lang/python: kevent does not accept KQ_NOTE_EXIT (and other (f)flags)
Summary: [patch] lang/python: kevent does not accept KQ_NOTE_EXIT (and other (f)flags)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-python (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-01 19:30 UTC by David Naylor
Modified: 2013-12-01 12:28 UTC (History)
0 users

See Also:


Attachments
file.diff (521 bytes, patch)
2011-05-01 19:30 UTC, David Naylor
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Naylor 2011-05-01 19:30:10 UTC
(Taken from upstream bug report: http://bugs.python.org/issue11973)
(This issue appears to affect all releases of python)

kevent does not accept all legitimate parameters, such as KQ_NOTE_EXIT.  

For example:

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-05-01 19:30:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2012-04-11 14:20:11 UTC
State Changed
From-To: open->closed

this is fixed right now.
Comment 3 Eitan Adler freebsd_committer freebsd_triage 2012-04-12 01:58:00 UTC
State Changed
From-To: closed->open

this issue may not be fully fixed. can you please elaborate on which 
commit fixed it so the submitter can check he is testing that version?
Comment 4 koobs 2013-10-23 08:28:01 UTC
The fix was applied upstream, on 2013-08-25 into the default (3.x), 3.3
and 2.7 branches.

The issue remains in the current port versions of Python (3.3.2 and 2.7.5)

Python 3.3.2 (default, Oct 23 2013, 18:16:59)
[GCC 4.2.1 20070831 patched [FreeBSD]] on freebsd9
Type "help", "copyright", "credits" or "license" for more information.
>>> from select import *
>>> kevent(0, KQ_FILTER_PROC, KQ_EV_ADD | KQ_EV_ENABLE, KQ_NOTE_EXIT)
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
OverflowError: signed integer is greater than maximum

Python 2.7.5 (default, Sep 18 2013, 22:52:14)
[GCC 4.2.1 Compatible FreeBSD Clang 3.3 (tags/RELEASE_33/final 183502)]
on freebsd9
Type "help", "copyright", "credits" or "license" for more information.
>>> from select import *
>>> kevent(0, KQ_FILTER_PROC, KQ_EV_ADD | KQ_EV_ENABLE, KQ_NOTE_EXIT)
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
OverflowError: signed integer is greater than maximum

The following describes what needs to occur:

1) Local patches will need be maintained in python31 and python32, since
those branches will not receive the fix upstream (security only)

2) Local patches can/should be applied to python27 and python33, which
can remain until their next versions are released.

Also, upstream has requested a test be written for the submitted bug
http://bugs.python.org/issue11973
Comment 5 dfilter service freebsd_committer 2013-11-24 13:22:49 UTC
Author: koobs
Date: Sun Nov 24 13:22:40 2013
New Revision: 334723
URL: http://svnweb.freebsd.org/changeset/ports/334723

Log:
  lang/python27: Update to 2.7.6
  
  - Update to 2.7.6
  - Update pkg-plist
  - Temporarily override OPT:Olimit using CONFIGURE_ENV (ports/182952) [1]
  - Replace patch: extra-patch-configure-pth with CONFIGURE_ENV instead
  - Remove patch: patch-Modules-_ctypes-libffi_fficonfig.py.in [2]
  - QA: Clean up and group related USE_*, WRKSRC and CONFIGURE entries
  - QA: Whitespace alignment
  
  Changes: 2.7.6 - November 10, 2013
  
  http://www.python.org/download/releases/2.7.6/
  
  [1] Python removed OPT:Olimit in 3.2+, requested backport or
      alternative upstream patch: http://bugs.python.org/issue877121
  [2] Upstreamed: http://bugs.python.org/issue18178
  
  PR:		ports/182952
  PR:		ports/156759
  Reviewed by:	antoine, mva

Deleted:
  head/lang/python27/files/extra-patch-configure-pth
  head/lang/python27/files/patch-Modules-_ctypes-libffi_fficonfig.py.in
Modified:
  head/Mk/bsd.python.mk
  head/lang/python27/Makefile
  head/lang/python27/distinfo   (contents, props changed)
  head/lang/python27/pkg-plist

Modified: head/Mk/bsd.python.mk
==============================================================================
--- head/Mk/bsd.python.mk	Sun Nov 24 13:05:25 2013	(r334722)
+++ head/Mk/bsd.python.mk	Sun Nov 24 13:22:40 2013	(r334723)
@@ -378,9 +378,9 @@ PYTHON_VER=		3.1
 
 # Python-2.7
 .elif ${PYTHON_VERSION} == "python2.7"
-PYTHON_PORTVERSION?=	2.7.5
+PYTHON_PORTVERSION?=	2.7.6
 PYTHON_PORTSDIR=	${PORTSDIR}/lang/python27
-PYTHON_REL=		275
+PYTHON_REL=		276
 PYTHON_SUFFIX=		27
 PYTHON_VER=		2.7
 

Modified: head/lang/python27/Makefile
==============================================================================
--- head/lang/python27/Makefile	Sun Nov 24 13:05:25 2013	(r334722)
+++ head/lang/python27/Makefile	Sun Nov 24 13:22:40 2013	(r334723)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	python27
-PORTVERSION=	2.7.5
-PORTREVISION=	4
+PORTVERSION=	2.7.6
 CATEGORIES=	lang python ipv6
 MASTER_SITES=	PYTHON
 MASTER_SITE_SUBDIR=	${PYTHON_MASTER_SITE_SUBDIR}
@@ -13,22 +12,24 @@ MAINTAINER=	python@FreeBSD.org
 COMMENT=	Interpreted object-oriented programming language
 
 DIST_SUBDIR=	python
-WRKSRC=		${PYTHON_WRKSRC}/portbld.static
-PATCH_WRKSRC=	${PYTHON_WRKSRC}
 GNU_CONFIGURE=	yes
 CONFIGURE_SCRIPT=	../configure # must be relative
-CONFIGURE_ENV=	SVNVERSION="echo freebsd"
+CONFIGURE_ENV=	SVNVERSION="echo freebsd" ac_cv_opt_olimit_ok=no
 MAKE_ENV=	VPATH="${PYTHON_WRKSRC}"
-USE_LDCONFIG=	yes
 INSTALL_TARGET=	altinstall
 MAN1=		${PYTHON_VERSION}.1
 
+USE_LDCONFIG=	yes
 USE_PYTHON=	yes
 USE_XZ=		yes
-PYTHON_VERSION=	python2.7
+
+PYTHON_VERSION=		python2.7
 PYTHON_NO_DEPENDS=	yes
 
+WRKSRC=		${PYTHON_WRKSRC}/portbld.static
 SHARED_WRKSRC=	${PYTHON_WRKSRC}/portbld.shared
+PATCH_WRKSRC=	${PYTHON_WRKSRC}
+
 PLIST=		${WRKDIR}/PLIST
 PLIST_TEMPLATE?=${PKGDIR}/pkg-plist
 PLIST_SUB=	PYVER=${PYTHON_VERSION:S/python//} \
@@ -87,7 +88,7 @@ SUB_LIST=	SEM=${SEM_MSG}
 PLIST_SUB+=	THREADS=""
 .if ${PORT_OPTIONS:MPTH}
 CONFIGURE_ARGS+=	--with-pth --with-system-ffi
-EXTRA_PATCHES+=		${PATCHDIR}/extra-patch-configure-pth
+CONFIGURE_ENV+=		ac_cv_pthread=no
 LIB_DEPENDS+=		pth:${PORTSDIR}/devel/pth \
 			ffi:${PORTSDIR}/devel/libffi
 _PTH_CPPFLAGS=		"-I${LOCALBASE}/include/pth"

Modified: head/lang/python27/distinfo
==============================================================================
--- head/lang/python27/distinfo	Sun Nov 24 13:05:25 2013	(r334722)
+++ head/lang/python27/distinfo	Sun Nov 24 13:22:40 2013	(r334723)
@@ -1,2 +1,2 @@
-SHA256 (python/Python-2.7.5.tar.xz) = f33c4cab167dc69e10962e1cebf1c0768e2d0e8575648130c20e6bda84551db1
-SIZE (python/Python-2.7.5.tar.xz) = 10252148
+SHA256 (python/Python-2.7.6.tar.xz) = 1fd68e81f8bf7386ff239b7faee9ba387129d2cf34eab13350bd8503a0bff6a1
+SIZE (python/Python-2.7.6.tar.xz) = 10431288

Modified: head/lang/python27/pkg-plist
==============================================================================
--- head/lang/python27/pkg-plist	Sun Nov 24 13:05:25 2013	(r334722)
+++ head/lang/python27/pkg-plist	Sun Nov 24 13:22:40 2013	(r334723)
@@ -812,6 +812,7 @@ lib/lib%%PYTHON_VERSION%%.so.1
 %%PYTHON_LIBDIR%%/lib2to3/tests/data/bom.py
 %%PYTHON_LIBDIR%%/lib2to3/tests/data/crlf.py
 %%PYTHON_LIBDIR%%/lib2to3/tests/data/different_encoding.py
+%%PYTHON_LIBDIR%%/lib2to3/tests/data/false_encoding.py
 %%PYTHON_LIBDIR%%/lib2to3/tests/data/fixers/bad_order.py
 %%PYTHON_LIBDIR%%/lib2to3/tests/data/fixers/myfixes/__init__.py
 %%PYTHON_LIBDIR%%/lib2to3/tests/data/fixers/myfixes/fix_explicit.py
@@ -1061,6 +1062,20 @@ lib/lib%%PYTHON_VERSION%%.so.1
 %%PYTHON_LIBDIR%%/test/185test.db
 %%PYTHON_LIBDIR%%/test/Sine-1000Hz-300ms.aif
 %%PYTHON_LIBDIR%%/test/__init__.py
+%%PYTHON_LIBDIR%%/test/audiodata/pluck-pcm24.aiff
+%%PYTHON_LIBDIR%%/test/audiodata/pluck-pcm24.wav
+%%PYTHON_LIBDIR%%/test/audiodata/pluck-pcm16.aiff
+%%PYTHON_LIBDIR%%/test/audiodata/pluck-pcm16.au
+%%PYTHON_LIBDIR%%/test/audiodata/pluck-pcm16.wav
+%%PYTHON_LIBDIR%%/test/audiodata/pluck-pcm32.aiff
+%%PYTHON_LIBDIR%%/test/audiodata/pluck-pcm32.au
+%%PYTHON_LIBDIR%%/test/audiodata/pluck-pcm32.wav
+%%PYTHON_LIBDIR%%/test/audiodata/pluck-pcm8.aiff
+%%PYTHON_LIBDIR%%/test/audiodata/pluck-pcm8.au
+%%PYTHON_LIBDIR%%/test/audiodata/pluck-pcm8.wav
+%%PYTHON_LIBDIR%%/test/audiodata/pluck-ulaw.aifc
+%%PYTHON_LIBDIR%%/test/audiodata/pluck-ulaw.au
+%%PYTHON_LIBDIR%%/test/audiotests.py
 %%PYTHON_LIBDIR%%/test/audiotest.au
 %%PYTHON_LIBDIR%%/test/autotest.py
 %%PYTHON_LIBDIR%%/test/bad_coding.py
@@ -1275,6 +1290,7 @@ lib/lib%%PYTHON_VERSION%%.so.1
 %%PYTHON_LIBDIR%%/test/mapping_tests.py
 %%PYTHON_LIBDIR%%/test/math_testcases.txt
 %%PYTHON_LIBDIR%%/test/mp_fork_bomb.py
+%%PYTHON_LIBDIR%%/test/nullbytecert.pem
 %%PYTHON_LIBDIR%%/test/nullcert.pem
 %%PYTHON_LIBDIR%%/test/outstanding_bugs.py
 %%PYTHON_LIBDIR%%/test/pickletester.py
@@ -1478,6 +1494,7 @@ lib/lib%%PYTHON_VERSION%%.so.1
 %%PYTHON_LIBDIR%%/test/test_htmlparser.py
 %%PYTHON_LIBDIR%%/test/test_httplib.py
 %%PYTHON_LIBDIR%%/test/test_httpservers.py
+%%PYTHON_LIBDIR%%/test/test_idle.py
 %%PYTHON_LIBDIR%%/test/test_imageop.py
 %%PYTHON_LIBDIR%%/test/test_imaplib.py
 %%PYTHON_LIBDIR%%/test/test_imgfile.py
@@ -1510,6 +1527,7 @@ lib/lib%%PYTHON_VERSION%%.so.1
 %%PYTHON_LIBDIR%%/test/test_macos.py
 %%PYTHON_LIBDIR%%/test/test_macostools.py
 %%PYTHON_LIBDIR%%/test/test_macpath.py
+%%PYTHON_LIBDIR%%/test/test_macurl2path.py
 %%PYTHON_LIBDIR%%/test/test_mailbox.py
 %%PYTHON_LIBDIR%%/test/test_marshal.py
 %%PYTHON_LIBDIR%%/test/test_math.py
@@ -1533,6 +1551,7 @@ lib/lib%%PYTHON_VERSION%%.so.1
 %%PYTHON_LIBDIR%%/test/test_netrc.py
 %%PYTHON_LIBDIR%%/test/test_new.py
 %%PYTHON_LIBDIR%%/test/test_nis.py
+%%PYTHON_LIBDIR%%/test/test_nntplib.py
 %%PYTHON_LIBDIR%%/test/test_normalization.py
 %%PYTHON_LIBDIR%%/test/test_ntpath.py
 %%PYTHON_LIBDIR%%/test/test_old_mailbox.py
@@ -1613,6 +1632,7 @@ lib/lib%%PYTHON_VERSION%%.so.1
 %%PYTHON_LIBDIR%%/test/test_sqlite.py
 %%PYTHON_LIBDIR%%/test/test_ssl.py
 %%PYTHON_LIBDIR%%/test/test_startfile.py
+%%PYTHON_LIBDIR%%/test/test_stat.py
 %%PYTHON_LIBDIR%%/test/test_str.py
 %%PYTHON_LIBDIR%%/test/test_strftime.py
 %%PYTHON_LIBDIR%%/test/test_string.py
@@ -1624,6 +1644,7 @@ lib/lib%%PYTHON_VERSION%%.so.1
 %%PYTHON_LIBDIR%%/test/test_structmembers.py
 %%PYTHON_LIBDIR%%/test/test_structseq.py
 %%PYTHON_LIBDIR%%/test/test_subprocess.py
+%%PYTHON_LIBDIR%%/test/test_sunau.py
 %%PYTHON_LIBDIR%%/test/test_sunaudiodev.py
 %%PYTHON_LIBDIR%%/test/test_sundry.py
 %%PYTHON_LIBDIR%%/test/test_support.py
@@ -2367,6 +2388,7 @@ lib/libpython2.7.a
 @dirrm %%PYTHON_LIBDIR%%/wsgiref
 @dirrm %%PYTHON_LIBDIR%%/unittest/test
 @dirrm %%PYTHON_LIBDIR%%/unittest
+@dirrm %%PYTHON_LIBDIR%%/test/audiodata
 @dirrm %%PYTHON_LIBDIR%%/test/cjkencodings
 @dirrm %%PYTHON_LIBDIR%%/test/data
 @dirrm %%PYTHON_LIBDIR%%/test/decimaltestdata
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 koobs 2013-11-24 14:25:41 UTC
This is now resolved in lang/python27 and lang/python33 since the Python
2.7.6 and 3.3.3 port updates.

From the respective release notes:

Issue #11973: Fix a problem in kevent. The flags and fflags fields are
now properly handled as unsigned. [1][2]

Left TODO is backport changes to lang/python31 and lang/python32

[1] http://hg.python.org/cpython/file/v2.7.6/Misc/NEWS
[2] http://hg.python.org/cpython/file/v3.3.3/Misc/NEWS
Comment 7 dfilter service freebsd_committer 2013-12-01 09:34:28 UTC
Author: koobs
Date: Sun Dec  1 09:34:20 2013
New Revision: 335370
URL: http://svnweb.freebsd.org/changeset/ports/335370

Log:
  lang/python31: Backport upstream kevent fix and use libffi from ports
  
  Backport a change fixing use of kevent flags that was merged to Python
  default, 3.3 and 2.7 branches, but not 3.2 and 3.1 that were in
  security-only mode at the time of commit. [1]
  
  - Add patch: patch-Modules__selectmodule.c
  
  Based on patch by: David Naylor <naylor.b.david@gmail.com>
  
  Unconditionally use libffi from ports because the Python 3.1 branch was
  closed for maintenance when the import of libffi 3.0.13 took place. This
  fixes _ctypes module build failure on i386. [2]
  
  - Add global CONFIGURE_ARGS and LIB_DEPENDS
  
  References:
  
  [1] Issue #11973: Fix a problem in kevent. The flags and fflags fields
      are now properly handled as unsigned. [#11973]
  
      http://bugs.python.org/issue11973
      http://hg.python.org/cpython/rev/8345fb616cbd
  
  [2] Fixes Issue #17192: Update the ctypes module's libffi to v3.0.13.
      This specifically addresses a stack misalignment issue on x86 and
      issues on some more recent platforms. [#17192]
  
      http://bugs.python.org/issue17192
      http://hg.python.org/cpython/rev/a94b3b4599f1
      http://hg.python.org/cpython/rev/688bc0b44d96
  
  While I'm here:
  
  - Add LICENSE (PSFL)
  - Clean up & whitespace alignment
  
  PR:		ports/156759 [1]
  Reviewed by:	mva

Added:
  head/lang/python31/files/patch-Modules__selectmodule.c   (contents, props changed)
Modified:
  head/lang/python31/Makefile

Modified: head/lang/python31/Makefile
==============================================================================
--- head/lang/python31/Makefile	Sun Dec  1 09:16:16 2013	(r335369)
+++ head/lang/python31/Makefile	Sun Dec  1 09:34:20 2013	(r335370)
@@ -1,24 +1,30 @@
 # $FreeBSD$
 
-PORTNAME=	python31
-PORTVERSION=	3.1.5
-PORTREVISION=	5
-CATEGORIES=	lang python ipv6
-MASTER_SITES=	PYTHON
+PORTNAME=		python31
+PORTVERSION=		3.1.5
+PORTREVISION=		6
+CATEGORIES=		lang python ipv6
+MASTER_SITES=		PYTHON
 MASTER_SITE_SUBDIR=	${PYTHON_MASTER_SITE_SUBDIR}
-DISTFILES=	${PYTHON_DISTFILE}
+DISTFILES=		${PYTHON_DISTFILE}
+DIST_SUBDIR=		python
 
 MAINTAINER=	python@FreeBSD.org
 COMMENT=	Interpreted object-oriented programming language
 
-DEPRECATED=	Python 3.1 will be end-of-life soon, please migrate to lang/python33
-EXPIRATION_DATE=2014-06-01
+LICENSE=	PSFL
 
-DIST_SUBDIR=	python
-GNU_CONFIGURE=	yes
+LIB_DEPENDS=	libffi.so:${PORTSDIR}/devel/libffi
+
+DEPRECATED=		Python 3.1 will be end-of-life soon, please migrate to lang/python33
+EXPIRATION_DATE=	2014-06-01
+
+GNU_CONFIGURE=		yes
 CONFIGURE_SCRIPT=	../configure # must be relative
-CONFIGURE_ENV=	OPT="" SVNVERSION="echo freebsd" ac_cv_opt_olimit_ok=no
-MAKE_ENV=	VPATH="${PYTHON_WRKSRC}"
+CONFIGURE_ARGS=		--with-system-ffi
+CONFIGURE_ENV=		OPT="" SVNVERSION="echo freebsd" ac_cv_opt_olimit_ok=no
+MAKE_ENV=		VPATH="${PYTHON_WRKSRC}"
+
 INSTALL_TARGET=	altinstall
 MAN1=		${PYTHON_VERSION}.1
 
@@ -26,7 +32,7 @@ USE_LDCONFIG=	yes
 USE_PYTHON=	yes
 USE_XZ=		yes
 
-PYTHON_VERSION=	python3.1
+PYTHON_VERSION=		python3.1
 PYTHON_NO_DEPENDS=	yes
 
 WRKSRC=		${PYTHON_WRKSRC}/portbld.static
@@ -73,14 +79,14 @@ CONFIGURE_ENV+=	ac_cv_lib_intl_textdomai
 .include <bsd.port.pre.mk>
 
 .if ${PORT_OPTIONS:MTHREADS}
-PLIST_SUB+=	THREADS=""
+PLIST_SUB+=		THREADS=""
 CONFIGURE_ARGS+=	--with-threads
 CFLAGS+=		${PTHREAD_CFLAGS}
 LDFLAGS+=		${PTHREAD_LIBS}
-.else # defined(WITHOUT_THREADS)
-PLIST_SUB+=	THREADS="@comment "
+.else
+PLIST_SUB+=		THREADS="@comment "
 CONFIGURE_ARGS+=	--without-threads
-.endif # !defined(WITHOUT_THREADS)
+.endif
 
 .if ${PORT_OPTIONS:MUCS4}
 CONFIGURE_ARGS+=	--with-wide-unicode

Added: head/lang/python31/files/patch-Modules__selectmodule.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/lang/python31/files/patch-Modules__selectmodule.c	Sun Dec  1 09:34:20 2013	(r335370)
@@ -0,0 +1,11 @@
+--- ./Modules/selectmodule.c.orig	2013-11-30 23:09:48.211062086 +1100
++++ ./Modules/selectmodule.c	2013-11-30 23:53:51.740895007 +1100
+@@ -1229,7 +1229,7 @@
+ 
+     EV_SET(&(self->e), 0, EVFILT_READ, EV_ADD, 0, 0, 0); /* defaults */
+ 
+-    if (!PyArg_ParseTupleAndKeywords(args, kwds, "O|hhiii:kevent", kwlist,
++    if (!PyArg_ParseTupleAndKeywords(args, kwds, "O|hHIii:kevent", kwlist,
+         &pfd, &(self->e.filter), &(self->e.flags),
+         &(self->e.fflags), &(self->e.data), &(self->e.udata))) {
+         return -1;
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 8 dfilter service freebsd_committer 2013-12-01 09:36:56 UTC
Author: koobs
Date: Sun Dec  1 09:36:49 2013
New Revision: 335371
URL: http://svnweb.freebsd.org/changeset/ports/335371

Log:
  lang/python32: Backport upstream kevent fix
  
  Backport a change fixing use of kevent flags that was merged to Python
  default, 3.3 and 2.7 branches, but not 3.2 and 3.1 that were in
  security-only mode at the time of commit. [1]
  
  - Add patch: patch-Modules__selectmodule.c
  
  References:
  
  [1] Issue #11973: Fix a problem in kevent. The flags and fflags fields
      are now properly handled as unsigned. [#11973]
  
      http://bugs.python.org/issue11973
      http://hg.python.org/cpython/rev/8345fb616cbd
  
  While I'm here:
  
  - Add LICENSE (PSFL)
  - Clean up, reorganise, sort & whitespace align sections
  
  PR:		ports/156759
  Submitted by:	David Naylor <naylor.b.david@gmail.com>
  Reviewed by:	mva

Added:
  head/lang/python32/files/patch-Modules__selectmodule.c   (contents, props changed)
Modified:
  head/lang/python32/Makefile

Modified: head/lang/python32/Makefile
==============================================================================
--- head/lang/python32/Makefile	Sun Dec  1 09:34:20 2013	(r335370)
+++ head/lang/python32/Makefile	Sun Dec  1 09:36:49 2013	(r335371)
@@ -1,35 +1,40 @@
 # $FreeBSD$
 
-PORTNAME=	python32
-PORTVERSION=	3.2.5
-PORTREVISION=	3
-CATEGORIES=	lang python ipv6
-MASTER_SITES=	PYTHON
+PORTNAME=		python32
+PORTVERSION=		3.2.5
+PORTREVISION=		4
+CATEGORIES=		lang python ipv6
+MASTER_SITES=		PYTHON
 MASTER_SITE_SUBDIR=	${PYTHON_MASTER_SITE_SUBDIR}
-DISTFILES=	${PYTHON_DISTFILE}
+DISTFILES=		${PYTHON_DISTFILE}
+DIST_SUBDIR=		python
 
 MAINTAINER=	python@FreeBSD.org
 COMMENT=	Interpreted object-oriented programming language
 
-DIST_SUBDIR=	python
-WRKSRC=		${PYTHON_WRKSRC}/portbld.static
-PATCH_WRKSRC=	${PYTHON_WRKSRC}
-GNU_CONFIGURE=	yes
+LICENSE=	PSFL
+
+GNU_CONFIGURE=		yes
 CONFIGURE_SCRIPT=	../configure # must be relative
-CONFIGURE_ENV=	OPT="" SVNVERSION="echo freebsd"
-MAKE_ENV=	VPATH="${PYTHON_WRKSRC}"
-USE_LDCONFIG=	yes
+CONFIGURE_ENV=		OPT="" SVNVERSION="echo freebsd"
+MAKE_ENV=		VPATH="${PYTHON_WRKSRC}"
+
 INSTALL_TARGET=	altinstall
 MAN1=		${PYTHON_VERSION}.1
 
+USE_LDCONFIG=	yes
 USE_PYTHON=	yes
 USE_XZ=		yes
-PYTHON_VERSION=	python3.2
+
+PYTHON_VERSION=		python3.2
 PYTHON_NO_DEPENDS=	yes
 
+WRKSRC=		${PYTHON_WRKSRC}/portbld.static
+SHARED_WRKSRC=	${PYTHON_WRKSRC}/portbld.shared
+PATCH_WRKSRC=	${PYTHON_WRKSRC}
+
 PYABIVER=	# default empty, for after appending
 
-SHARED_WRKSRC=	${PYTHON_WRKSRC}/portbld.shared
 PLIST_SUB=	PYVER=${PYTHON_VERSION:S/python//} \
 		PYMAJOR=${PYTHON_MAJOR_VER} \
 		PYVER_WITHPAT=${PORTVERSION:S/.rc/rc/} \

Added: head/lang/python32/files/patch-Modules__selectmodule.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/lang/python32/files/patch-Modules__selectmodule.c	Sun Dec  1 09:36:49 2013	(r335371)
@@ -0,0 +1,11 @@
+--- ./Modules/selectmodule.c.orig	2013-11-30 23:03:20.030929248 +1100
++++ ./Modules/selectmodule.c	2013-11-30 23:03:56.111022639 +1100
+@@ -1246,7 +1246,7 @@
+     PyObject *pfd;
+     static char *kwlist[] = {"ident", "filter", "flags", "fflags",
+                              "data", "udata", NULL};
+-    static char *fmt = "O|hhi" INTPTRT_FMT_UNIT UINTPTRT_FMT_UNIT ":kevent";
++    static char *fmt = "O|hHI" INTPTRT_FMT_UNIT UINTPTRT_FMT_UNIT ":kevent";
+ 
+     EV_SET(&(self->e), 0, EVFILT_READ, EV_ADD, 0, 0, 0); /* defaults */
+ 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 koobs 2013-12-01 10:18:56 UTC
The last two commits now bring this 1.5 year old PR and journey to a close.

David, a specific thank you for originally submitting this upstream and
then into a PR with a patch. Apologies it took so long to get resolved.
Comment 10 Kubilay Kocak freebsd_committer freebsd_triage 2013-12-01 12:28:41 UTC
State Changed
From-To: open->closed

All supported Python ports now carry this fix from upstream, or maintain 
a backported patch. Thanks David!